#!/bin/sh
-# ensure we use a current perl
-export PATH=/home/nm4/perl5/perlbrew/bin:$PATH
-
cd /home/nm4/src/exim-website || exit
git pull | grep -q -v 'Already up-to-date.' && script/build.sh
-cd /home/services/mirmon || exit
+cd /home/nm4/mirror-monitor || exit
git pull --quiet
#!/bin/sh
#
#
-cd /home/services/ftp/pub || exit 2
+cd /srv/ftp/pub || exit 2
VERBOSE='--quiet'
wget ${VERBOSE} --mirror --no-host-directories --cut-dirs=3 ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/
#
# Runs mirmon for both ftp and www repos
#
-MIRMON_BASE=/home/services/mirmon/mirmon
+MIRMON_BASE=/home/nm4/mirror-monitor/mirmon
cd ${MIRMON_BASE} || exit
for set in www ftp
project_name Exim Download Sites
project_url http://www.exim.org/
mirror_list exim_mirrors_ftp.lst
-web_page /home/services/web/mirmon/ftp_mirrors.html
+web_page /srv/mirmon/ftp_mirrors.html
icons /mirmon-icons/
-probe /home/services/mirmon/mirmon/probe -q -t %TIMEOUT% %URL%/_mirror_fresheness_marker.txt
+probe /home/nm4/mirror-monitor/mirmon/probe -q -t %TIMEOUT% %URL%/_mirror_fresheness_marker.txt
state state/exim_ftp.txt
countries countries.list
put_histo bottom
project_name Exim Website Mirrors
project_url http://www.exim.org/
mirror_list exim_mirrors_www.lst
-web_page /home/services/web/mirmon/www_mirrors.html
+web_page /srv/mirmon/www_mirrors.html
icons /mirmon-icons/
-probe /home/services/mirmon/mirmon/probe -q -t %TIMEOUT% %URL%/_mirror_fresheness_marker.txt
+probe /home/nm4/mirror-monitor/mirmon/probe -q -t %TIMEOUT% %URL%/_mirror_fresheness_marker.txt
state state/exim_www.txt
countries countries.list
put_histo bottom